
/* 
 * Copyright (c) 1993-2003 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef niut_TCLSERV_CLIENT_MSG_LIB_H
#define niut_TCLSERV_CLIENT_MSG_LIB_H

#include <server/niutType.h>

/*---------------- PROTOTYPES DES FONCTIONS EXTERNES ------------------*/

#ifdef __cplusplus
extern "C" {
#endif

int niutTclservClientInit (TCLSERV_CLIENT_ID pClientId);

int niutTclservClientEnd (TCLSERV_CLIENT_ID clientId);



int niutTclservClientInitRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 GEN_STRING32 *(in_serial) 
		);

int niutTclservClientInitReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int niutTclservClientInitRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				GEN_STRING32 *(in_serial) ,
				
				int *bilan);

int niutTclservClientInitRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					GEN_STRING32 *(in_serial) ,
					
					int *bilan);




int niutTclservClientStopRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId //,
				  
		);

int niutTclservClientStopReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int niutTclservClientStopRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				 //,
				
				int *bilan);

int niutTclservClientStopRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					 //,
					
					int *bilan);




int niutTclservClientSetVerboseRqstSend (
					 TCLSERV_CLIENT_ID clientId, 
					 ssize_t *pRqstId ,
					 int *(in_verbose)
		);

int niutTclservClientSetVerboseReplyRcv (
				   TCLSERV_CLIENT_ID clientId, 
			       ssize_t rqstId, 
			       
			       int *bilan);

int niutTclservClientSetVerboseRqstAndRcv (
				 TCLSERV_CLIENT_ID clientId, 
				 int *(in_verbose) ,
				 
				 int *bilan);




int niutTclservClientSetFilteringRqstSend (
					 TCLSERV_CLIENT_ID clientId, 
					 ssize_t *pRqstId ,
					 int *(in_filtering)
		);

int niutTclservClientSetFilteringReplyRcv (
				   TCLSERV_CLIENT_ID clientId, 
			       ssize_t rqstId, 
			       
			       int *bilan);

int niutTclservClientSetFilteringRqstAndRcv (
				 TCLSERV_CLIENT_ID clientId, 
				 int *(in_filtering) ,
				 
				 int *bilan);


#ifdef __cplusplus
}
#endif
#endif /* niutTCLSERV_CLIENT_MSG_LIB_H */

