
#
# Copyright (c) 1999-2003 LAAS/CNRS
# All rights reserved.
#
# Redistribution  and  use in source   and binary forms,  with or without
# modification, are permitted provided that  the following conditions are
# met:
#
#   1. Redistributions  of  source code must  retain  the above copyright
#      notice, this list of conditions and the following disclaimer.
#   2. Redistributions in binary form must  reproduce the above copyright
#      notice,  this list of  conditions and  the following disclaimer in
#      the  documentation   and/or  other  materials   provided with  the
#      distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE  AUTHOR AND CONTRIBUTORS ``AS IS'' AND
# ANY  EXPRESS OR IMPLIED WARRANTIES, INCLUDING,  BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES   OF MERCHANTABILITY AND  FITNESS  FOR  A PARTICULAR
# PURPOSE ARE DISCLAIMED.  IN NO  EVENT SHALL THE AUTHOR OR  CONTRIBUTORS
# BE LIABLE FOR ANY DIRECT, INDIRECT,  INCIDENTAL, SPECIAL, EXEMPLARY, OR
# CONSEQUENTIAL DAMAGES (INCLUDING,  BUT  NOT LIMITED TO, PROCUREMENT  OF
# SUBSTITUTE  GOODS OR SERVICES;  LOSS   OF  USE,  DATA, OR PROFITS;   OR
# BUSINESS  INTERRUPTION) HOWEVER CAUSED AND  ON ANY THEORY OF LIABILITY,
# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
# OTHERWISE) ARISING IN ANY WAY OUT OF THE  USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

#
# This file was automagically generated.
# Manual editing not recommended. Changes will be overridden.
#

if { [lsearch [interp hidden] niutInstall] >= 0 } {
    interp expose {} niutInstall
}

proc ::niutInstall { name } {
    foreach rqst { "Init" "Stop" "SetVerbose" "SetFiltering" "HumanlistPosterRead"  } {
	interp alias {} ${name}::$rqst {} interp invoke {} niut$rqst $name
    }
}

interp hide {} niutInstall




# Init ----------------------------------------------------------

if { [lsearch [interp hidden] niutInit] >= 0 } {
    interp expose {} niutInit
}
if { [lsearch [interp hidden] niutInitFormatOutput] >= 0 } {
    interp expose {} niutInitFormatOutput
}

proc ::niutInit { name args } {
    set format {}
    lappend format [list string "serial.name" "" ]

    return [ ::cs::rqstSend "${name}" "Init" \
	"** undocumented **" \
	"GEN_STRING32\n| char name\[32\]\n" \
	1 \
	$format \
	$args ]
}


proc ::niutInitFormatOutput { list } {
    set format { {} status }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} niutInit
interp hide {} niutInitFormatOutput





# Stop ----------------------------------------------------------

if { [lsearch [interp hidden] niutStop] >= 0 } {
    interp expose {} niutStop
}
if { [lsearch [interp hidden] niutStopFormatOutput] >= 0 } {
    interp expose {} niutStopFormatOutput
}

proc ::niutStop { name args } {
    set format {}

    return [ ::cs::rqstSend "${name}" "Stop" \
	"** undocumented **" \
	"no arguments" \
	0 \
	$format \
	$args ]
}


proc ::niutStopFormatOutput { list } {
    set format { {} status }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} niutStop
interp hide {} niutStopFormatOutput





# SetVerbose ----------------------------------------------------------

if { [lsearch [interp hidden] niutSetVerbose] >= 0 } {
    interp expose {} niutSetVerbose
}
if { [lsearch [interp hidden] niutSetVerboseFormatOutput] >= 0 } {
    interp expose {} niutSetVerboseFormatOutput
}

proc ::niutSetVerbose { name args } {
    set format {}
    lappend format [list int "verbose" 0 ]

    return [ ::cs::rqstSend "${name}" "SetVerbose" \
	"** undocumented **" \
	"int verbose\n" \
	1 \
	$format \
	$args ]
}


proc ::niutSetVerboseFormatOutput { list } {
    set format { {} status }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} niutSetVerbose
interp hide {} niutSetVerboseFormatOutput





# SetFiltering ----------------------------------------------------------

if { [lsearch [interp hidden] niutSetFiltering] >= 0 } {
    interp expose {} niutSetFiltering
}
if { [lsearch [interp hidden] niutSetFilteringFormatOutput] >= 0 } {
    interp expose {} niutSetFilteringFormatOutput
}

proc ::niutSetFiltering { name args } {
    set format {}
    lappend format [list int "filtering" 0 ]

    return [ ::cs::rqstSend "${name}" "SetFiltering" \
	"** undocumented **" \
	"int filtering\n" \
	1 \
	$format \
	$args ]
}


proc ::niutSetFilteringFormatOutput { list } {
    set format { {} status }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} niutSetFiltering
interp hide {} niutSetFilteringFormatOutput





# Humanlist ----------------------------------------------------------

if { [lsearch [interp hidden] niutHumanlistPosterRead] >= 0 } {
    interp expose {} niutHumanlistPosterRead
}
if { [lsearch [interp hidden] niutHumanlistPosterFormatOutput] >= 0 } {
    interp expose {} niutHumanlistPosterFormatOutput
}

proc ::niutHumanlistPosterRead { name args } {

    return [ ::cs::posterRead "${name}" "Humanlist" \
	"NIUT_HUMAN_LIST\n| int watch_dog\n| int num\n| NIUT_USER_STR\n| | int id\n| | NIUT_TIME_STR\n| | | unsigned int t_sec\n| | | unsigned int t_usec\n| | NIUT_TIME_STR\n| | | unsigned int t_sec\n| | | unsigned int t_usec\n| | NIUT_TRACK_STATE state\n| | double hue\n| | NIUT_SKELETON_STR\n| | | NIUT_JOINT_STR\n| | | | double confidence\n| | | | GEN_POINT_3D\n| | | | | double x\n| | | | | double y\n| | | | | double z\n| NIUT_USER_STR\n| | int id\n| | NIUT_TIME_STR\n| | | unsigned int t_sec\n| | | unsigned int t_usec\n| | NIUT_TIME_STR\n| | | unsigned int t_sec\n| | | unsigned int t_usec\n| | NIUT_TRACK_STATE state\n| | double hue\n| | NIUT_SKELETON_STR\n| | | NIUT_JOINT_STR\n| | | | double confidence\n| | | | GEN_POINT_3D\n| | | | | double x\n| | | | | double y\n| | | | | double z\n" \
	$args ]
}


proc ::niutHumanlistPosterFormatOutput { list } {
    set format { {} status { } { list { } watch_dog { } num { 16 } { users { } id { } { date_discovered { } t_sec { } t_usec } { } { date { } t_sec { } t_usec } { } state { } hue { } { skeleton { 25 } { joint { } confidence { } { position { } x { } y { } z } } } } { 16 } { filtered_users { } id { } { date_discovered { } t_sec { } t_usec } { } { date { } t_sec { } t_usec } { } state { } hue { } { skeleton { 25 } { joint { } confidence { } { position { } x { } y { } z } } } } } }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} niutHumanlistPosterRead
interp hide {} niutHumanlistPosterFormatOutput


